/*
 * @Descripttion: 
 * @version: 
 * @Author: 王三华
 * @Date: 2023-10-09 09:47:06
 */
import i18n from '@/util/i18n/index'
// 菜单信息
export const constantRoutes = [
  // 首页
  {
    path: '/pages/index/index',
    meta: { title: i18n.t('w_0114') },
    name: 'index'
  },
  // 信息管理
  {
    path: '/information',
    meta: { title: i18n.t('MN_F_T_7') },
    name: 'Information',
    children: [
      // 会员信息
      {
        path: '/pages/information/member',
        name: 'Member',
        meta: { title: i18n.t('MN_F_T_8') },
      },
      {
        path: '/pages/information/bisiness/index',
        name: 'BasicBusiness',
        meta: { title: i18n.t('MN_F_T_11') },
      },
      {
        path: '/pages/information/bisiness/reviewBusiness',
        name: 'ReviewBusiness',
        meta: { title: i18n.t('MN_F_T_13') },
        hidden: true
      },
      {
        path: '/pages/information/order',
        name: 'OrderBusiness',
        meta: { title: i18n.t('MN_F_T_12') },
      },
      {
        path: '/pages/information/dailyApplication/index',
        name: 'DailyApplication',
        meta: { title: '日常申请' },
      },
      {
        path: '/pages/information/realInfo',
        name: 'RealInfo',
        meta: { title: i18n.t('MN_F_T_10') },
      },
    
      {
        path: '/pages/information/removeOrderList',
        name: 'removeOrderList',
        meta: { title: i18n.t('MN_F_T_32') },
      },
      {
        path: '/pages/information/operationRecord',
        name: 'operationRecord',
        meta: { title: i18n.t('MN_F_T_41') },
      },
    ]
  },
   // 架构管理
   {
    path: '/architecture',
    meta: { title: i18n.t('N_I_5') },
    name: 'Framework',
    children: [
      
      {
        path: '/pages/architecture/architecture',
        name: 'Recommend',
        meta: { title: i18n.t('w_0031') },
      },
      {
        path: '/pages/architecture/resettlle',
        name: 'Arcgurecture',
        meta: { title: i18n.t('ENU_MENU_381') },
      },
    ]
  },
  // 结算中心
  {
    path: '/settlementCenter',
    meta: { title: i18n.t('MN_F_T_45') },
    name: 'SettlementCenter',
    children: [
      // 业绩汇总
      {
        path: '/pages/settlementCenter/performanceTotal',
        name: 'performanceTotal',
        meta: { title: i18n.t('MN_F_T_47') },
      },
      // 拨比列表
      {
        path: '/pages/settlementCenter/performanceList',
        name: 'performanceList',
        meta: { title: i18n.t('MN_F_T_50') },
      },
      // 奖金来源
      {
        path: '/pages/settlementCenter/sourceBonus',
        name: 'sourceBonus',
        meta: { title: i18n.t('MN_F_T_51') },
      },
      // 奖金汇总
      {
        path: '/pages/settlementCenter/totalBonus',
        name: 'totalBonus',
        meta: { title: i18n.t('MN_F_T_52') },
      },
      // 奖金明细
      {
        path: '/pages/settlementCenter/bonusDetail',
        name: 'BonusDetail',
        meta: { title: i18n.t('MN_F_T_53') },
      },
      // 安置数据
      {
        path: '/pages/settlementCenter/placementData',
        name: 'placementData',
        meta: { title: i18n.t('MN_F_T_54') },
      },
      // 推荐数据
      {
        path: '/pages/settlementCenter/recommendData',
        name: 'recommendData',
        meta: { title: i18n.t('MN_F_T_56') },
      },
    ]
  },
  // 财务管理
  {
    path: '/financial',
    meta: { title: i18n.t('MN_F_T_86') },
    name: 'Financial',
    children: [
      // 充值
      {
        path: '/pages/financial/index',
        name: 'Chongzhi',
        meta: { title: i18n.t('MN_F_T_87') },
      },
      // 充值明细 
      {
        path: '/pages/financial/rechargeDetail',
        name: 'RechargeDetail',
        meta: { title: i18n.t('MN_F_T_89') },
      },
      // 提现明细 
      {
        path: '/pages/financial/cashDetails',
        name: 'CashDetails',
        meta: { title: i18n.t('MN_F_T_90') },
      },
      // 消费明细 
      {
        path: '/pages/financial/consumptionDetails',
        name: 'ConsumptionDetails',
        meta: { title: i18n.t('MN_F_T_92') },
      },
       // 转账明细 
       {
        path: '/pages/financial/transferDetails',
        name: 'TransferDetails',
        meta: { title: i18n.t('MN_F_T_94') },
      },
      // 冻结明细 
      {
        path: '/pages/financial/freezeDetail',
        name: 'FreezeDetail',
        meta: { title: i18n.t('MN_F_T_93') },
      },
      // 钱包明细
      {
        path: '/pages/financial/walletDetails',
        name: 'WalletDetails',
        meta: { title: i18n.t('MN_F_T_96') }
      },
      // 钱包明细详情
      {
        path: '/pages/financial/walletDetailsPro',
        name: 'WalletDetailss',
        meta: { title: i18n.t('MN_F_T_95') },
      },
      //余额汇总
      {
        path: '/pages/financial/balanceSummary',
        name: 'BalanceSummary',
        meta: { title: i18n.t('w_0483') },
      },
      // 在线支付
      {
        path: '/pages/financial/onlinePayDetails',
        name: 'OnlinePayDetails',
        meta: { title: i18n.t('MN_F_T_97') }
      },
      // 在线退款
      {
        path: '/pages/financial/onlineRefundDetails',
        name: 'OnlineRefundDetails',
        meta: { title: i18n.t('MY_ORD_84') }
      },
      //  // 充值在线签呈 
      //  {
      //   path: '/pages/financial/czzxqc',
      //   name: 'Czzxqc',
      //   meta: { title: i18n.t('MN_F_T_87') },
      // },
    ]
  },
  // 物流管理
  {
    path: '/logistics',
    meta: { title: i18n.t('MN_F_T_73') },
    name: 'Logistics',
    children: [
      // 商品订单
      {
        path: '/pages/logistics/commodity/index',
        name: 'ProductOrders',
        meta: { title: i18n.t('MN_F_T_69') },
      },
      //订单开票
      {
        path: '/pages/logistics/commodity/spInvoicing',
        name: 'SpInvoicing',
        meta: { title: i18n.t('CK_KS_121') },
      },
    ]
  },
  // 统计分析
  {
    path: '/statistics',
    meta: { title: i18n.t('w_0420') },
    name: 'Statistics',
    children: [
      {
        path: '/pages/statistics/underDirectAdd',
        name: 'UnderDirectAdd',
        meta: { title: '伞下直推新增业绩' },
      },
      {
        path: '/pages/statistics/underPlacementPer',
        name: 'UnderPlacementPer',
        meta: { title: '伞下新增安置业绩' },
      }
    ]
  }
]